Bug 489830 - Review Request: figlet - FIGlet is a program for making large letters out of ordinary text
Review Request: figlet - FIGlet is a program for making large letters out of ...
Status: CLOSED DUPLICATE of bug 820642
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-12 00:16 EDT by Ray Van Dolson
Modified: 2012-05-10 10:59 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-10 10:59:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Van Dolson 2009-03-12 00:16:01 EDT
Spec URL: http://rayvd.fedorapeople.org/figlet/figlet.spec
SRPM URL: http://rayvd.fedorapeople.org/figlet/figlet-2.2.2-1.src.rpm
Description:
FIGlet is a program for making large letters out of ordinary text
Comment 1 Ray Van Dolson 2009-03-12 00:16:41 EDT
Can't believe this isn't already in Fedora.  License appears to be OK?
Comment 2 Jason Tibbitts 2009-03-12 01:32:35 EDT
There have been significant license issues in the past.  Did check the previous attempt, bug 454917?  Has the license on the offending code changed?
Comment 3 Ray Van Dolson 2009-03-12 09:27:12 EDT
(In reply to comment #2)
> There have been significant license issues in the past.  Did check the previous
> attempt, bug 454917?  Has the license on the offending code changed?

Oops, guess throwing 'figlet' in the search box wasn't enough.  I'm betting whatever licensing issues existed before still do.  I saw Academic and figured it was OK.  Will confirm.  Silly licensing... :-)
Comment 4 Ray Van Dolson 2009-03-12 11:19:31 EDT
Definitely looks like the routines to decompress compressed font files are under an incompatible license.  I want to look into the following:

  * Contact author mentioned in these files to see if he'd consider relicensing
    the code (if possible).
  * Contact upstream (if they're even active) and get their thoughts.  I'd think
    either we don't care so much about compressed font files anymore, or could
    switch to using unzip routines from somewhere else.

That failing, looks like rpmrepo might be the place for this.
Comment 5 Ray Van Dolson 2009-03-12 11:31:32 EDT
Posted this[1] to the figlet mailing list.

[1]: http://www.plig.net/mailman/private/figlet/2009-March/000159.html
Comment 6 Simon 2009-03-12 11:37:28 EDT
you should copy paste your mail. just for members :-(
Comment 7 Ray Van Dolson 2009-03-12 11:45:56 EDT
Good idea.  Forgot the list was private.

Posted to figlet mailing list:

Date: Thu, 12 Mar 2009 08:28:28 -0700                                                                      From: Ray Van Dolson <rayvd@bludgeon.org>
To: figlet@figlet.org
Subject: [FIGlet] Licensing issues with figlet
User-Agent: Mutt/1.5.19 (2009-01-05)

Hello all;

I'm trying to get figlet included in Fedora[1] but have run into 
a snag with the licenses of a couple of the source files relating
to decompressing zipfiles of compressed fonts.  Namely, crc.c,
crc.h, inflate.c, inflate.h, zipio.c and zipio.h.  It appears
three of the files, chkfont.c, figlist and showfigfonts have no
licensing notice at all in them.

If there are any developers out there on this list, could I get 
some comments?
  
  * Can the zipfile related routines be relicensed?  I imagine 
    we'd have to contact the original author listed there for 
    this, maybe he's on this list?  I'll try the email listed 
    there as well.
  * Could these routines be rewritten to use something free?  
    Should be existing code out there that could be reused for 
    this purpose.
  * Maybe we don't need compressed font files at all anymore, 
    disk space is not as big of an issue these days.

Thoughts appreciated.  Please see the bz link above for comments 
and concerns.  Also this[2] debian bug gives a bit more detailed
commentary.

Ray

[1]: https://bugzilla.redhat.com/show_bug.cgi?id=489830
[2]: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=274950
Comment 8 Ray Van Dolson 2009-03-12 11:47:15 EDT
Email to author of non-free content:

Date: Thu, 12 Mar 2009 08:37:00 -0700
From: Ray Van Dolson <rayvd@bludgeon.org>
To: hamrick@primenet.com
Subject: Relicensing zipfile routines that are part of figlet
User-Agent: Mutt/1.5.19 (2009-01-05)

Hello;

There are several source files part of the figlet package[1] that 
are under a non-free license requiring notice of modifications to 
the code to be sent to you within 30 days.

I'm wondering if you'd be willing to consider relicensing this 
code under a more "free" license?  The code in question is here:

  ftp://ftp.figlet.org/pub/figlet/program/unix/figlet222/crc.c
  ftp://ftp.figlet.org/pub/figlet/program/unix/figlet222/crc.h
  ftp://ftp.figlet.org/pub/figlet/program/unix/figlet222/inflate.c
  ftp://ftp.figlet.org/pub/figlet/program/unix/figlet222/inflate.h
  ftp://ftp.figlet.org/pub/figlet/program/unix/figlet222/zipio.c
  ftp://ftp.figlet.org/pub/figlet/program/unix/figlet222/zipio.h

Thanks,
Ray

[1]: http://www.figlet.org/
Comment 9 Jason Tibbitts 2009-03-12 12:52:40 EDT
On the remote chance that upstream can actually locate the authors of that ancient code and get it relicenced, or they decide to replace the code with free versions, please clear the whiteboard field so this drops back into the review queue.
Comment 10 Ray Van Dolson 2009-03-12 21:15:24 EDT
Update on this for the curious:

 - One of the authors of the code agreed to release it to
   as public domain so we could relicense it as whatever.
 - The zipfile routine author has still not responded.

Of further complication is that there is not real maintainer of figlet
currently.  Trying to figure out if we can rectify that and make a new
release on the code.

Also, I'm wondering... the clause in the zipfile routines says any
changes must be emailed to the author within 30 days.  Could this
feasibly include licensing changes?  We could make a new release,
change the license on the code and send notification of this to
his email address as required by the current license...

Anyways, will see what comes of all this.
Comment 11 Ray Van Dolson 2009-03-13 09:48:11 EDT
Per legal list it is a bad idea to change the license on the code. :-)  Figured as much.

People seem interested in a new release however, so we'll try to get this moving along and I'll look into stripping out the zipfile routines.
Comment 12 Simon 2009-06-30 01:17:03 EDT
More than 3 months without response.
I will close his. Please feel free to reopen it after licensing is 'free' (free speech not free beer) enough for Fedora!
Comment 13 Claudio Matsuoka 2011-01-13 14:42:42 EST
FIGlet 2.2.3 was released with license changes which should make it truly free as in speech. Zipio has been relicensed by the author and is now under the MIT license, and the main package is now distributed under the 3-clause BSD license.
Comment 14 Ray Van Dolson 2011-01-13 14:48:19 EST
Claudio, thanks for your work in making that happen.  I'll get the new version packaged and reopen this bug shortly.
Comment 15 Patrick C. F. Ernzer 2011-02-04 03:58:16 EST
2.2.4 is out these days.

As I built myself an updated and cleaned spec from Dag's old version before finding this bug, feel free to grab all the bits you want from 
http://pcfe.fedorapeople.org/figlet.spec
http://pcfe.fedorapeople.org/figlet-2.2.4-1.src.rpm
Comment 16 Jason Tibbitts 2011-02-04 10:13:33 EST
Not sure why this was reopened now, when the submitter hasn't provided a package for review.  Indicating this isn't ready yet; please clear the whiteboard when there's something for the reviewers to look at.
Comment 17 Ray Van Dolson 2011-02-04 10:25:47 EST
Patrick, I'll get something put together this weekend hopefully.  Thanks.
Comment 18 Kashyap Chamarthy 2012-04-15 03:17:52 EDT
Ping.

Any update on this? More than an year+ since last response,  still in 'Assigned' state.
Comment 19 Simone Caronni 2012-05-10 10:27:03 EDT
I've been mantaining my personal figlet package since years, since nobody is interested can I step in as a mantainer?
Comment 20 Simone Caronni 2012-05-10 10:59:36 EDT
I've opened a new review request, closing this one down.

*** This bug has been marked as a duplicate of bug 820642 ***

Note You need to log in before you can comment on or make changes to this bug.